From 8acb29e00a2f1d6abc517cff4b76e85a6386fd04 Mon Sep 17 00:00:00 2001
From: "shirenzhi2015@gmail.com" <18354291536@163.com>
Date: Mon, 6 May 2019 02:10:53 +0800
Subject: [PATCH] change all Q_WS_XXX macro to Qt5 style

---
 src/commands/ExternalProcessingDialog.cpp |  74 ++--
 src/common/RingBuffer.cpp                 |  10 +-
 src/common/RingBufferNPT.h                |  50 +--
 src/core/DiskIO.cpp                       |  13 +-
 src/core/FileHelpers.cpp                  |   2 +-
 src/core/Peak.cpp                         | 396 +++++++++++-----------
 src/core/Project.cpp                      | 136 ++++----
 src/engine/AudioDeviceThread.cpp          |  23 +-
 src/plugins/LV2/LV2Plugin.cpp             |  83 +++--
 src/sheetcanvas/ViewItem.h                |   8 +-
 src/traverso/Main.cpp                     |  13 +-
 src/traverso/TMainWindow.cpp              |   6 +-
 src/traverso/dialogs/CDWritingDialog.cpp  | 185 +++++-----
 src/traverso/dialogs/settings/Pages.cpp   | 169 +++++----
 src/traverso/widgets/InfoWidgets.cpp      | 114 +++----
 src/traverso/widgets/ResourcesWidget.cpp  | 129 ++++---
 16 files changed, 701 insertions(+), 710 deletions(-)

diff --git a/src/commands/ExternalProcessingDialog.cpp b/src/commands/ExternalProcessingDialog.cpp
index 8fbd518e..f8833b11 100644
--- a/src/commands/ExternalProcessingDialog.cpp
+++ b/src/commands/ExternalProcessingDialog.cpp
@@ -1,5 +1,5 @@
 /*
-Copyright (C) 2007 Remon Sijrier 
+Copyright (C) 2007 Remon Sijrier
 
 This file is part of Traverso
 
@@ -49,14 +49,14 @@ ExternalProcessingDialog::ExternalProcessingDialog(QWidget * parent, AudioClipEx
 	setupUi(this);
 	m_acep = acep;
 	m_queryOptions = false;
-	
+
 	m_processor = new QProcess(this);
 	m_processor->setProcessChannelMode(QProcess::MergedChannels);
-	
+
 	m_completer = 0;
-	
+
 	command_lineedit_text_changed("sox");
-	
+
 	connect(m_processor, SIGNAL(readyReadStandardOutput()), this, SLOT(read_standard_output()));
 	connect(m_processor, SIGNAL(started()), this, SLOT(process_started()));
 	connect(m_processor, SIGNAL(finished(int, QProcess::ExitStatus)), this, SLOT(process_finished(int, QProcess::ExitStatus)));
@@ -76,46 +76,46 @@ ExternalProcessingDialog::~ ExternalProcessingDialog()
 void ExternalProcessingDialog::prepare_for_external_processing()
 {
 	m_commandargs = argumentsLineEdit->text();
-	
+
 	if (m_commandargs.isEmpty()) {
 		statusText->setText(tr("You have to supply an argument before starting the external process!"));
 		return;
 	}
-	
+
 	ReadSource* rs = resources_manager()->get_readsource(m_acep->m_clip->get_readsource_id());
-	
+
 	//This should NOT be possible, but just in case....
 	if (! rs) {
 		qDebug("ExternalProcessing:: resources manager did NOT return a resource for the to be processed audioclip (%lld) !!!!\n", m_acep->m_clip->get_id());
 		return;
 	}
-	
+
 	m_filename = rs->get_name();
 	m_newClipName= rs->get_short_name().remove(".wav") + "-" + m_commandargs.simplified();
-	
+
 	m_infilename = rs->get_filename();
-	// remove the extension and any dots that might confuse the external program, append the 
+	// remove the extension and any dots that might confuse the external program, append the
 	// new name and again the extension.
-	m_outfilename = pm().get_project()->get_audiosources_dir() + 
+	m_outfilename = pm().get_project()->get_audiosources_dir() +
 			m_filename.remove(".wav").remove(".").append("-").append(m_commandargs.simplified()).append(".wav");
-	
-	
+
+
 	start_external_processing();
 }
 
 void ExternalProcessingDialog::start_external_processing()
 {
 	m_arguments.clear();
-	
+
 	// On mac os x (and perhaps windows) the full path is given, so we check if the path contains sox!
 	if (m_program.contains("sox")) {
 		m_arguments.append("-S");
 	}
-	
+
 	m_arguments.append(m_infilename);
 	m_arguments.append(m_outfilename);
 	m_arguments += m_commandargs.split(QRegExp("\\s+"));
-	
+
 	m_processor->start(m_program, m_arguments);
 }
 
@@ -123,10 +123,10 @@ void ExternalProcessingDialog::read_standard_output()
 {
 	if (m_queryOptions) {
 		QString result = m_processor->readAllStandardOutput();
-		// This list is used to collect the availabe arguments for the 
+		// This list is used to collect the availabe arguments for the
 		// arugment lineedit completer.
 		QStringList completionlist;
-		
+
 		// On mac os x (and perhaps windows) the full path is given, so we check if the path contains sox!
 		if (m_program.contains("sox")) {
 			QStringList list = result.split("\n");
@@ -147,16 +147,16 @@ void ExternalProcessingDialog::read_standard_output()
 		if (m_completer) {
 			delete m_completer;
 		}
-			
+
 			// Set the completer for the arguments line edit.
 		m_completer = new QCompleter(completionlist, this);
 		argumentsLineEdit->setCompleter(m_completer);
-		
+
 		return;
 	}
-	
+
 	QString result = m_processor->readAllStandardOutput();
-	
+
 	if (result.contains("%")) {
 		QStringList tokens = result.split(QRegExp("\\s+"));
 		foreach(QString token, tokens) {
@@ -171,7 +171,7 @@ void ExternalProcessingDialog::read_standard_output()
 			}
 		}
 	}
-	
+
 	statusText->append(result);
 }
 
@@ -184,40 +184,40 @@ void ExternalProcessingDialog::process_finished(int exitcode, QProcess::ExitStat
 {
 	Q_UNUSED(exitcode);
 	Q_UNUSED(exitstatus);
-	
+
 	if (m_queryOptions) {
 		m_queryOptions = false;
 		return;
 	}
-	
+
 	if (exitstatus == QProcess::CrashExit) {
 		statusText->setHtml(tr("Program <b>%1</b> crashed!").arg(m_program));
 		return;
 	}
-	
+
 	QString dir = pm().get_project()->get_audiosources_dir();
-	
+
 	// In case we used the merger, remove the file...
 	QFile::remove(dir + "/merged.wav");
-	
-	
+
+
 	QString result = m_processor->readAllStandardOutput();
 	// print anything on command line we didn't catch
 	printf("output: \n %s", QS_C(result));
-		
+
 	ReadSource* source = resources_manager()->import_source(dir, m_filename);
 	if (!source) {
 		printf("ResourcesManager didn't return a ReadSource, most likely sox didn't understand your command\n");
 		return rejected();
 	}
-		
+
 	m_acep->m_resultingclip = resources_manager()->new_audio_clip(m_newClipName);
 	resources_manager()->set_source_for_clip(m_acep->m_resultingclip, source);
 	// Clips live at project level, we have to set its Sheet, Track and ReadSource explicitely!!
 	m_acep->m_resultingclip->set_sheet(m_acep->m_clip->get_sheet());
 	m_acep->m_resultingclip->set_track(m_acep->m_clip->get_track());
 	m_acep->m_resultingclip->set_track_start_location(m_acep->m_clip->get_track_start_location());
-	
+
 	close();
 }
 
@@ -230,14 +230,14 @@ void ExternalProcessingDialog::query_options()
 
 void ExternalProcessingDialog::arg_combo_index_changed(const QString & text)
 {
-	argumentsLineEdit->setText(text);	
+	argumentsLineEdit->setText(text);
 }
 
 void ExternalProcessingDialog::command_lineedit_text_changed(const QString & text)
 {
 	m_program = text.simplified();
 	if (m_program == "sox") {
-		#if defined (Q_WS_MAC)
+		#if defined (Q_OS_MAC)
 			m_program = qApp->applicationDirPath() + "/sox";
 		#endif
 
@@ -246,7 +246,7 @@ void ExternalProcessingDialog::command_lineedit_text_changed(const QString & tex
 		argsComboBox->setToolTip(tr("Available arguments for the sox program"));
 		return;
 	}
-	
+
 	argsComboBox->hide();
 }
 
@@ -256,5 +256,3 @@ void ExternalProcessingDialog::process_error(QProcess::ProcessError error)
 		statusText->setHtml(tr("Program <b>%1</b> not installed, or insufficient permissions to run!").arg(m_program));
 	}
 }
-
- 
diff --git a/src/common/RingBuffer.cpp b/src/common/RingBuffer.cpp
index 2c442573..30d430e2 100755
--- a/src/common/RingBuffer.cpp
+++ b/src/common/RingBuffer.cpp
@@ -18,7 +18,7 @@
   GNU Lesser General Public License for more details.
 
   You should have received a copy of the GNU Lesser General Public License
-  along with this program; if not, write to the Free Software 
+  along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 
   ISO/POSIX C version of Paul Davis's lock free ringbuffer C++ code.
@@ -30,7 +30,7 @@
 #include <string.h>
 #ifdef USE_MLOCK
 
-#ifdef Q_WS_MAC
+#ifdef Q_OS_MAC
 #include <sys/types.h>
 #endif /* Q_WS_MAC */
 
@@ -60,7 +60,7 @@ RingBuffer::RingBuffer(size_t sz)
         write_ptr = 0;
         read_ptr = 0;
         buf = new char[size];
-         
+
         mlocked = 0;
         if (mlock_buffer() < 0) {
         	PERROR("Failed to memory lock buffer!");
@@ -278,7 +278,7 @@ void RingBuffer::write_advance (size_t cnt)
 }
 
 /* The non-copying data reader.  `vec' is an array of two places.  Set
-   the values at `vec' to hold the current readable data'.  If   the readable 
+   the values at `vec' to hold the current readable data'.  If   the readable
    data is in one segment the second segment has zero length.  */
 
 void RingBuffer::get_read_vector (ringbuffer_data_t * vec)
@@ -319,7 +319,7 @@ void RingBuffer::get_read_vector (ringbuffer_data_t * vec)
 }
 
 /* The non-copying data writer.  `vec' is an array of two places.  Set
-   the values at `vec' to hold the current writeable data.  If the writeable 
+   the values at `vec' to hold the current writeable data.  If the writeable
    data is in one segment the second segment has zero length.  */
 
 void RingBuffer::get_write_vector (ringbuffer_data_t * vec)
diff --git a/src/common/RingBufferNPT.h b/src/common/RingBufferNPT.h
index 2a1c5070..4d194fb7 100755
--- a/src/common/RingBufferNPT.h
+++ b/src/common/RingBufferNPT.h
@@ -23,7 +23,7 @@
 
 #include <stdio.h>
 
-#if ! defined (Q_WS_WIN)
+#if ! defined (Q_OS_WIN)
 #include <sys/mman.h>
 #endif
 
@@ -46,7 +46,7 @@ class RingBufferNPT
 		reset ();
 
 	};
-	
+
 	virtual ~RingBufferNPT() {
 #ifdef USE_MLOCK
 		munlock (buf, size);
@@ -65,7 +65,7 @@ class RingBufferNPT
 		t_atomic_int_set (&write_ptr, w);
 		t_atomic_int_set (&read_ptr, r);
 	}
-	
+
 	size_t  read  (T *dest, size_t cnt);
 	size_t  write (T *src, size_t cnt);
 
@@ -76,25 +76,25 @@ class RingBufferNPT
 
 	void get_read_vector (rw_vector *);
 	void get_write_vector (rw_vector *);
-	
+
 	void decrement_read_ptr (size_t cnt) {
 		t_atomic_int_set (&read_ptr, (t_atomic_int_get(&read_ptr) - cnt) % size);
-	}                
+	}
 
 	void increment_read_ptr (size_t cnt) {
 		t_atomic_int_set (&read_ptr, (t_atomic_int_get(&read_ptr) + cnt) % size);
-	}                
+	}
 
 	void increment_write_ptr (size_t cnt) {
 		t_atomic_int_set (&write_ptr,  (t_atomic_int_get(&write_ptr) + cnt) % size);
-	}                
+	}
 
 	size_t write_space () {
 		size_t w, r;
-		
+
 		w = t_atomic_int_get (&write_ptr);
 		r = t_atomic_int_get (&read_ptr);
-		
+
 		if (w > r) {
 			return ((r - w + size) % size) - 1;
 		} else if (w < r) {
@@ -103,13 +103,13 @@ class RingBufferNPT
 			return size - 1;
 		}
 	}
-	
+
 	size_t read_space () {
 		size_t w, r;
-		
+
 		w = t_atomic_int_get (&write_ptr);
 		r = t_atomic_int_get (&read_ptr);
-		
+
 		if (w > r) {
 			return w - r;
 		} else {
@@ -145,7 +145,7 @@ RingBufferNPT<T>::read (T *dest, size_t cnt)
         }
 
         to_read = cnt > free_cnt ? free_cnt : cnt;
-        
+
         cnt2 = priv_read_ptr + to_read;
 
         if (cnt2 > size) {
@@ -155,7 +155,7 @@ RingBufferNPT<T>::read (T *dest, size_t cnt)
                 n1 = to_read;
                 n2 = 0;
         }
-        
+
         memcpy (dest, &buf[priv_read_ptr], n1 * sizeof (T));
         priv_read_ptr = (priv_read_ptr + n1) % size;
 
@@ -184,7 +184,7 @@ RingBufferNPT<T>::write (T *src, size_t cnt)
         }
 
         to_write = cnt > free_cnt ? free_cnt : cnt;
-        
+
         cnt2 = priv_write_ptr + to_write;
 
         if (cnt2 > size) {
@@ -213,10 +213,10 @@ RingBufferNPT<T>::get_read_vector (RingBufferNPT<T>::rw_vector *vec)
 	size_t free_cnt;
 	size_t cnt2;
 	size_t w, r;
-	
+
 	w = t_atomic_int_get (&write_ptr);
 	r = t_atomic_int_get (&read_ptr);
-	
+
 	if (w > r) {
 		free_cnt = w - r;
 	} else {
@@ -227,7 +227,7 @@ RingBufferNPT<T>::get_read_vector (RingBufferNPT<T>::rw_vector *vec)
 
 	if (cnt2 > size) {
 		/* Two part vector: the rest of the buffer after the
-		   current write ptr, plus some from the start of 
+		   current write ptr, plus some from the start of
 		   the buffer.
 		*/
 
@@ -237,9 +237,9 @@ RingBufferNPT<T>::get_read_vector (RingBufferNPT<T>::rw_vector *vec)
 		vec->len[1] = cnt2 % size;
 
 	} else {
-		
+
 		/* Single part vector: just the rest of the buffer */
-		
+
 		vec->buf[0] = &buf[r];
 		vec->len[0] = free_cnt;
 		vec->len[1] = 0;
@@ -252,10 +252,10 @@ RingBufferNPT<T>::get_write_vector (RingBufferNPT<T>::rw_vector *vec)
 	size_t free_cnt;
 	size_t cnt2;
 	size_t w, r;
-	
+
 	w = t_atomic_int_get (&write_ptr);
 	r = t_atomic_int_get (&read_ptr);
-	
+
 	if (w > r) {
 		free_cnt = ((r - w + size) % size) - 1;
 	} else if (w < r) {
@@ -263,13 +263,13 @@ RingBufferNPT<T>::get_write_vector (RingBufferNPT<T>::rw_vector *vec)
 	} else {
 		free_cnt = size - 1;
 	}
-	
+
 	cnt2 = w + free_cnt;
 
 	if (cnt2 > size) {
-		
+
 		/* Two part vector: the rest of the buffer after the
-		   current write ptr, plus some from the start of 
+		   current write ptr, plus some from the start of
 		   the buffer.
 		*/
 
diff --git a/src/core/DiskIO.cpp b/src/core/DiskIO.cpp
index da261485..27208ead 100644
--- a/src/core/DiskIO.cpp
+++ b/src/core/DiskIO.cpp
@@ -23,7 +23,7 @@ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 #include "Sheet.h"
 #include <QThread>
 
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
 
 #include <unistd.h>
 #include <sys/syscall.h>
@@ -66,7 +66,7 @@ const char *to_prio[] = { "none", "realtime", "best-effort", "idle", };
 #define IOPRIO_CLASS_SHIFT	13
 #define IOPRIO_PRIO_MASK	0xff
 
-#endif // endif Q_WS_X11
+#endif // endif Q_OS_UNIX
 
 #include "AbstractAudioReader.h"
 #include "AudioSource.h"
@@ -106,7 +106,7 @@ protected:
 
 void DiskIOThread::run()
 {
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
     if (IOPRIO_SUPPORT) {
         // When using the cfq scheduler we are able to set the priority of the io for what it's worth though :-)
         int ioprio = 0, ioprio_class = IOPRIO_CLASS_RT;
@@ -134,7 +134,7 @@ void DiskIOThread::run()
 
 
 
-/** 	\class DiskIO 
+/** 	\class DiskIO
  *	\brief handles all the read's and write's of AudioSources in it's private thread.
  *
  *	Each Sheet class has it's own DiskIO instance.
@@ -179,8 +179,8 @@ DiskIO::~DiskIO()
 /**
 * 	Seek's all the ReadSources readbuffers to the new position.
 *	Call prepare_seek() first, to interupt do_work() if it was running.
-* 
-* @param position The position to seek too 
+*
+* @param position The position to seek too
 */
 void DiskIO::seek()
 {
@@ -528,4 +528,3 @@ void DiskIO::set_resample_quality(int quality)
 {
     m_resampleQuality = quality;
 }
-
diff --git a/src/core/FileHelpers.cpp b/src/core/FileHelpers.cpp
index 271aa88c..e364f45e 100644
--- a/src/core/FileHelpers.cpp
+++ b/src/core/FileHelpers.cpp
@@ -89,7 +89,7 @@ int FileHelper::remove_recursively(const QString& pName)
 
 int FileHelper::copy_recursively(const QString& pNameFrom, const QString& pNameTo)
 {
-#if defined (Q_WS_X11) || defined (Q_WS_MAC)
+#if defined (Q_OS_UNIX) || defined (Q_OS_MAC)
 	QString nameFrom = config().get_property("Project", "directory", "/directory/unknown").toString();
 	QString nameTo(nameFrom);
 
